package ru.alexmaryin.spacextimes_rx.data.api.translator

import org.junit.Test
import org.junit.Assert.assertEquals
import ru.alexmaryin.spacextimes_rx.utils.toChunkedList

const val LONG_TEXT = """
    Lorem ipsum dolor sit amet, an sed mazim delenit philosophia, ne pri sumo maiorum, labores admodum his in. Solet molestie iracundia pri et, virtute definiebas vel ex. Vim agam maluisset incorrupte ex, ea ius fuisset sadipscing. Ei sapientem argumentum vix, mel copiosae scriptorem ex. Sit periculis conceptam reprehendunt ut, postea possim at eos. Ex vix mollis euismod laboramus, ad magna dicam apeirian duo.
Eu vel alii augue argumentum. Mea ne debet tritani persius. Mei id ullum evertitur, vim graeci consulatu ea, inermis verterem imperdiet pri at. Vis ei habeo liber, mel lorem noluisse perfecto eu. Sea ea nonumy causae pertinacia, oporteat delicatissimi est eu.
Primis maluisset principes an est, odio dicit virtute ad has. Eros decore quo no, ex regione abhorreant cum. Invenire praesent reformidans pri et, has ei causae iisque tacimates. Vis dolorum antiopam elaboraret at. An usu brute probatus, ut vel agam debet, has utamur oportere indoctum ne.
Pro eu eius oportere dissentias. Tibique signiferumque eum ei, an eum hinc impetus viderer. No has utinam atomorum, nemore maiestatis ea vim, eum id atqui verear omittantur. Discere petentium cu nam, dicant inimicus splendide ea vix, dico equidem intellegebat sit te.
No case adhuc qualisque eam, ei modus munere nec, te aeque dicam cum. Quodsi docendi cum ex, id illum officiis splendide pro, quod vitae qui ne. Ea legimus propriae cum, sea nominavi pertinax salutatus cu. Qui erant aliquid deterruisset ex, has ut tritani honestatis, nam ne utinam impedit delicatissimi. In volumus scaevola officiis pro, eam ut agam corrumpit argumentum. Putent sensibus incorrupte mel id. Commune electram cu eam, exerci sententiae honestatis ex his.
Et posse saepe posidonium pri, qui an utinam noster audire. Vim ad vitae cotidieque. Has impetus aeterno dissentias at. In nec dolores suavitate. Eu per graeci causae, id vel epicuri mentitum.
Te dolores antiopam sea, an veniam blandit persequeris per, vel ea legimus expetendis. Pri cu offendit qualisque deseruisse. Odio probo ea sit, vim graeci oporteat interpretaris eu. Nihil ceteros vis cu, sed at meliore eloquentiam.
Vel et hinc vulputate, ea eos nobis virtute. Eligendi oportere id est, pro at fierent mandamus. No duis efficiantur reprehendunt sed, probatus recusabo at vix. Autem minim similique quo ea, in sale tacimates vel. No dicit nobis fabellas mea, nam tation prompta instructior an, cum brute tantas et. Nobis audire mei ex, in est labitur luptatum.
Mea no commodo consectetuer interpretaris, regione necessitatibus ad vix. Et pri omnis antiopam, nec vitae graece iisque at, inani persius ad has. Nonumes partiendo patrioque ut per, munere lucilius accommodare at sed. At fabulas ponderum disputando nec, ad ius agam duis iuvaret, per no audiam volumus. Ludus regione per at, duo an ferri regione gloriatur, quo case illud platonem id.
Suas disputationi te sea, nam inani facilisis et. Sit in amet adversarium, quo eu enim tamquam vivendum. Modo natum iusto eos cu. Ad mazim offendit philosophia mel. Has eu dolore meliore noluisse.
Lorem ipsum dolor sit amet, an sed mazim delenit philosophia, ne pri sumo maiorum, labores admodum his in. Solet molestie iracundia pri et, virtute definiebas vel ex. Vim agam maluisset incorrupte ex, ea ius fuisset sadipscing. Ei sapientem argumentum vix, mel copiosae scriptorem ex. Sit periculis conceptam reprehendunt ut, postea possim at eos. Ex vix mollis euismod laboramus, ad magna dicam apeirian duo.
Eu vel alii augue argumentum. Mea ne debet tritani persius. Mei id ullum evertitur, vim graeci consulatu ea, inermis verterem imperdiet pri at. Vis ei habeo liber, mel lorem noluisse perfecto eu. Sea ea nonumy causae pertinacia, oporteat delicatissimi est eu.
Primis maluisset principes an est, odio dicit virtute ad has. Eros decore quo no, ex regione abhorreant cum. Invenire praesent reformidans pri et, has ei causae iisque tacimates. Vis dolorum antiopam elaboraret at. An usu brute probatus, ut vel agam debet, has utamur oportere indoctum ne.
Pro eu eius oportere dissentias. Tibique signiferumque eum ei, an eum hinc impetus viderer. No has utinam atomorum, nemore maiestatis ea vim, eum id atqui verear omittantur. Discere petentium cu nam, dicant inimicus splendide ea vix, dico equidem intellegebat sit te.
No case adhuc qualisque eam, ei modus munere nec, te aeque dicam cum. Quodsi docendi cum ex, id illum officiis splendide pro, quod vitae qui ne. Ea legimus propriae cum, sea nominavi pertinax salutatus cu. Qui erant aliquid deterruisset ex, has ut tritani honestatis, nam ne utinam impedit delicatissimi. In volumus scaevola officiis pro, eam ut agam corrumpit argumentum. Putent sensibus incorrupte mel id. Commune electram cu eam, exerci sententiae honestatis ex his.
Et posse saepe posidonium pri, qui an utinam noster audire. Vim ad vitae cotidieque. Has impetus aeterno dissentias at. In nec dolores suavitate. Eu per graeci causae, id vel epicuri mentitum.
Te dolores antiopam sea, an veniam blandit persequeris per, vel ea legimus expetendis. Pri cu offendit qualisque deseruisse. Odio probo ea sit, vim graeci oporteat interpretaris eu. Nihil ceteros vis cu, sed at meliore eloquentiam.
Vel et hinc vulputate, ea eos nobis virtute. Eligendi oportere id est, pro at fierent mandamus. No duis efficiantur reprehendunt sed, probatus recusabo at vix. Autem minim similique quo ea, in sale tacimates vel. No dicit nobis fabellas mea, nam tation prompta instructior an, cum brute tantas et. Nobis audire mei ex, in est labitur luptatum.
Mea no commodo consectetuer interpretaris, regione necessitatibus ad vix. Et pri omnis antiopam, nec vitae graece iisque at, inani persius ad has. Nonumes partiendo patrioque ut per, munere lucilius accommodare at sed. At fabulas ponderum disputando nec, ad ius agam duis iuvaret, per no audiam volumus. Ludus regione per at, duo an ferri regione gloriatur, quo case illud platonem id.
Suas disputationi te sea, nam inani facilisis et. Sit in amet adversarium, quo eu enim tamquam vivendum. Modo natum iusto eos cu. Ad mazim offendit philosophia mel. Has eu dolore meliore noluisse.
Lorem ipsum dolor sit amet, an sed mazim delenit philosophia, ne pri sumo maiorum, labores admodum his in. Solet molestie iracundia pri et, virtute definiebas vel ex. Vim agam maluisset incorrupte ex, ea ius fuisset sadipscing. Ei sapientem argumentum vix, mel copiosae scriptorem ex. Sit periculis conceptam reprehendunt ut, postea possim at eos. Ex vix mollis euismod laboramus, ad magna dicam apeirian duo.
Eu vel alii augue argumentum. Mea ne debet tritani persius. Mei id ullum evertitur, vim graeci consulatu ea, inermis verterem imperdiet pri at. Vis ei habeo liber, mel lorem noluisse perfecto eu. Sea ea nonumy causae pertinacia, oporteat delicatissimi est eu.
Primis maluisset principes an est, odio dicit virtute ad has. Eros decore quo no, ex regione abhorreant cum. Invenire praesent reformidans pri et, has ei causae iisque tacimates. Vis dolorum antiopam elaboraret at. An usu brute probatus, ut vel agam debet, has utamur oportere indoctum ne.
Pro eu eius oportere dissentias. Tibique signiferumque eum ei, an eum hinc impetus viderer. No has utinam atomorum, nemore maiestatis ea vim, eum id atqui verear omittantur. Discere petentium cu nam, dicant inimicus splendide ea vix, dico equidem intellegebat sit te.
No case adhuc qualisque eam, ei modus munere nec, te aeque dicam cum. Quodsi docendi cum ex, id illum officiis splendide pro, quod vitae qui ne. Ea legimus propriae cum, sea nominavi pertinax salutatus cu. Qui erant aliquid deterruisset ex, has ut tritani honestatis, nam ne utinam impedit delicatissimi. In volumus scaevola officiis pro, eam ut agam corrumpit argumentum. Putent sensibus incorrupte mel id. Commune electram cu eam, exerci sententiae honestatis ex his.
Et posse saepe posidonium pri, qui an utinam noster audire. Vim ad vitae cotidieque. Has impetus aeterno dissentias at. In nec dolores suavitate. Eu per graeci causae, id vel epicuri mentitum.
Te dolores antiopam sea, an veniam blandit persequeris per, vel ea legimus expetendis. Pri cu offendit qualisque deseruisse. Odio probo ea sit, vim graeci oporteat interpretaris eu. Nihil ceteros vis cu, sed at meliore eloquentiam.
Vel et hinc vulputate, ea eos nobis virtute. Eligendi oportere id est, pro at fierent mandamus. No duis efficiantur reprehendunt sed, probatus recusabo at vix. Autem minim similique quo ea, in sale tacimates vel. No dicit nobis fabellas mea, nam tation prompta instructior an, cum brute tantas et. Nobis audire mei ex, in est labitur luptatum.
Mea no commodo consectetuer interpretaris, regione necessitatibus ad vix. Et pri omnis antiopam, nec vitae graece iisque at, inani persius ad has. Nonumes partiendo patrioque ut per, munere lucilius accommodare at sed. At fabulas ponderum disputando nec, ad ius agam duis iuvaret, per no audiam volumus. Ludus regione per at, duo an ferri regione gloriatur, quo case illud platonem id.
Suas disputationi te sea, nam inani facilisis et. Sit in amet adversarium, quo eu enim tamquam vivendum. Modo natum iusto eos cu. Ad mazim offendit philosophia mel. Has eu dolore meliore noluisse.
Lorem ipsum dolor sit amet, an sed mazim delenit philosophia, ne pri sumo maiorum, labores admodum his in. Solet molestie iracundia pri et, virtute definiebas vel ex. Vim agam maluisset incorrupte ex, ea ius fuisset sadipscing. Ei sapientem argumentum vix, mel copiosae scriptorem ex. Sit periculis conceptam reprehendunt ut, postea possim at eos. Ex vix mollis euismod laboramus, ad magna dicam apeirian duo.
Eu vel alii augue argumentum. Mea ne debet tritani persius. Mei id ullum evertitur, vim graeci consulatu ea, inermis verterem imperdiet pri at. Vis ei habeo liber, mel lorem noluisse perfecto eu. Sea ea nonumy causae pertinacia, oporteat delicatissimi est eu.
Primis maluisset principes an est, odio dicit virtute ad has. Eros decore quo no, ex regione abhorreant cum. Invenire praesent reformidans pri et, has ei causae iisque tacimates. Vis dolorum antiopam elaboraret at. An usu brute probatus, ut vel agam debet, has utamur oportere indoctum ne.
Pro eu eius oportere dissentias. Tibique signiferumque eum ei, an eum hinc impetus viderer. No has utinam atomorum, nemore maiestatis ea vim, eum id atqui verear omittantur. Discere petentium cu nam, dicant inimicus splendide ea vix, dico equidem intellegebat sit te.
No case adhuc qualisque eam, ei modus munere nec, te aeque dicam cum. Quodsi docendi cum ex, id illum officiis splendide pro, quod vitae qui ne. Ea legimus propriae cum, sea nominavi pertinax salutatus cu. Qui erant aliquid deterruisset ex, has ut tritani honestatis, nam ne utinam impedit delicatissimi. In volumus scaevola officiis pro, eam ut agam corrumpit argumentum. Putent sensibus incorrupte mel id. Commune electram cu eam, exerci sententiae honestatis ex his.
Et posse saepe posidonium pri, qui an utinam noster audire. Vim ad vitae cotidieque. Has impetus aeterno dissentias at. In nec dolores suavitate. Eu per graeci causae, id vel epicuri mentitum.
Te dolores antiopam sea, an veniam blandit persequeris per, vel ea legimus expetendis. Pri cu offendit qualisque deseruisse. Odio probo ea sit, vim graeci oporteat interpretaris eu. Nihil ceteros vis cu, sed at meliore eloquentiam.
Vel et hinc vulputate, ea eos nobis virtute. Eligendi oportere id est, pro at fierent mandamus. No duis efficiantur reprehendunt sed, probatus recusabo at vix. Autem minim similique quo ea, in sale tacimates vel. No dicit nobis fabellas mea, nam tation prompta instructior an, cum brute tantas et. Nobis audire mei ex, in est labitur luptatum.
Mea no commodo consectetuer interpretaris, regione necessitatibus ad vix. Et pri omnis antiopam, nec vitae graece iisque at, inani persius ad has. Nonumes partiendo patrioque ut per, munere lucilius accommodare at sed. At fabulas ponderum disputando nec, ad ius agam duis iuvaret, per no audiam volumus. Ludus regione per at, duo an ferri regione gloriatur, quo case illud platonem id.
Suas disputationi te sea, nam inani facilisis et. Sit in amet adversarium, quo eu enim tamquam vivendum. Modo natum iusto eos cu. Ad mazim offendit philosophia mel. Has eu dolore meliore noluisse.
Lorem ipsum dolor sit amet, an sed mazim delenit philosophia, ne pri sumo maiorum, labores admodum his in. Solet molestie iracundia pri et, virtute definiebas vel ex. Vim agam maluisset incorrupte ex, ea ius fuisset sadipscing. Ei sapientem argumentum vix, mel copiosae scriptorem ex. Sit periculis conceptam reprehendunt ut, postea possim at eos. Ex vix mollis euismod laboramus, ad magna dicam apeirian duo.
Eu vel alii augue argumentum. Mea ne debet tritani persius. Mei id ullum evertitur, vim graeci consulatu ea, inermis verterem imperdiet pri at. Vis ei habeo liber, mel lorem noluisse perfecto eu. Sea ea nonumy causae pertinacia, oporteat delicatissimi est eu.
Primis maluisset principes an est, odio dicit virtute ad has. Eros decore quo no, ex regione abhorreant cum. Invenire praesent reformidans pri et, has ei causae iisque tacimates. Vis dolorum antiopam elaboraret at. An usu brute probatus, ut vel agam debet, has utamur oportere indoctum ne.
Pro eu eius oportere dissentias. Tibique signiferumque eum ei, an eum hinc impetus viderer. No has utinam atomorum, nemore maiestatis ea vim, eum id atqui verear omittantur. Discere petentium cu nam, dicant inimicus splendide ea vix, dico equidem intellegebat sit te.
No case adhuc qualisque eam, ei modus munere nec, te aeque dicam cum. Quodsi docendi cum ex, id illum officiis splendide pro, quod vitae qui ne. Ea legimus propriae cum, sea nominavi pertinax salutatus cu. Qui erant aliquid deterruisset ex, has ut tritani honestatis, nam ne utinam impedit delicatissimi. In volumus scaevola officiis pro, eam ut agam corrumpit argumentum. Putent sensibus incorrupte mel id. Commune electram cu eam, exerci sententiae honestatis ex his.
Et posse saepe posidonium pri, qui an utinam noster audire. Vim ad vitae cotidieque. Has impetus aeterno dissentias at. In nec dolores suavitate. Eu per graeci causae, id vel epicuri mentitum.
Te dolores antiopam sea, an veniam blandit persequeris per, vel ea legimus expetendis. Pri cu offendit qualisque deseruisse. Odio probo ea sit, vim graeci oporteat interpretaris eu. Nihil ceteros vis cu, sed at meliore eloquentiam.
Vel et hinc vulputate, ea eos nobis virtute. Eligendi oportere id est, pro at fierent mandamus. No duis efficiantur reprehendunt sed, probatus recusabo at vix. Autem minim similique quo ea, in sale tacimates vel. No dicit nobis fabellas mea, nam tation prompta instructior an, cum brute tantas et. Nobis audire mei ex, in est labitur luptatum.
Mea no commodo consectetuer interpretaris, regione necessitatibus ad vix. Et pri omnis antiopam, nec vitae graece iisque at, inani persius ad has. Nonumes partiendo patrioque ut per, munere lucilius accommodare at sed. At fabulas ponderum disputando nec, ad ius agam duis iuvaret, per no audiam volumus. Ludus regione per at, duo an ferri regione gloriatur, quo case illud platonem id.
Suas disputationi te sea, nam inani facilisis et. Sit in amet adversarium, quo eu enim tamquam vivendum. Modo natum iusto eos cu. Ad mazim offendit philosophia mel. Has eu dolore meliore noluisse.
Lorem ipsum dolor sit amet, an sed mazim delenit philosophia, ne pri sumo maiorum, labores admodum his in. Solet molestie iracundia pri et, virtute definiebas vel ex. Vim agam maluisset incorrupte ex, ea ius fuisset sadipscing. Ei sapientem argumentum vix, mel copiosae scriptorem ex. Sit periculis conceptam reprehendunt ut, postea possim at eos. Ex vix mollis euismod laboramus, ad magna dicam apeirian duo.
Eu vel alii augue argumentum. Mea ne debet tritani persius. Mei id ullum evertitur, vim graeci consulatu ea, inermis verterem imperdiet pri at. Vis ei habeo liber, mel lorem noluisse perfecto eu. Sea ea nonumy causae pertinacia, oporteat delicatissimi est eu.
Primis maluisset principes an est, odio dicit virtute ad has. Eros decore quo no, ex regione abhorreant cum. Invenire praesent reformidans pri et, has ei causae iisque tacimates. Vis dolorum antiopam elaboraret at. An usu brute probatus, ut vel agam debet, has utamur oportere indoctum ne.
Pro eu eius oportere dissentias. Tibique signiferumque eum ei, an eum hinc impetus viderer. No has utinam atomorum, nemore maiestatis ea vim, eum id atqui verear omittantur. Discere petentium cu nam, dicant inimicus splendide ea vix, dico equidem intellegebat sit te.
No case adhuc qualisque eam, ei modus munere nec, te aeque dicam cum. Quodsi docendi cum ex, id illum officiis splendide pro, quod vitae qui ne. Ea legimus propriae cum, sea nominavi pertinax salutatus cu. Qui erant aliquid deterruisset ex, has ut tritani honestatis, nam ne utinam impedit delicatissimi. In volumus scaevola officiis pro, eam ut agam corrumpit argumentum. Putent sensibus incorrupte mel id. Commune electram cu eam, exerci sententiae honestatis ex his.
Et posse saepe posidonium pri, qui an utinam noster audire. Vim ad vitae cotidieque. Has impetus aeterno dissentias at. In nec dolores suavitate. Eu per graeci causae, id vel epicuri mentitum.
Te dolores antiopam sea, an veniam blandit persequeris per, vel ea legimus expetendis. Pri cu offendit qualisque deseruisse. Odio probo ea sit, vim graeci oporteat interpretaris eu. Nihil ceteros vis cu, sed at meliore eloquentiam.
Vel et hinc vulputate, ea eos nobis virtute. Eligendi oportere id est, pro at fierent mandamus. No duis efficiantur reprehendunt sed, probatus recusabo at vix. Autem minim similique quo ea, in sale tacimates vel. No dicit nobis fabellas mea, nam tation prompta instructior an, cum brute tantas et. Nobis audire mei ex, in est labitur luptatum.
Mea no commodo consectetuer interpretaris, regione necessitatibus ad vix. Et pri omnis antiopam, nec vitae graece iisque at, inani persius ad has. Nonumes partiendo patrioque ut per, munere lucilius accommodare at sed. At fabulas ponderum disputando nec, ad ius agam duis iuvaret, per no audiam volumus. Ludus regione per at, duo an ferri regione gloriatur, quo case illud platonem id.
Suas disputationi te sea, nam inani facilisis et. Sit in amet adversarium, quo eu enim tamquam vivendum. Modo natum iusto eos cu. Ad mazim offendit philosophia mel. Has eu dolore meliore noluisse.
Lorem ipsum dolor sit amet, an sed mazim delenit philosophia, ne pri sumo maiorum, labores admodum his in. Solet molestie iracundia pri et, virtute definiebas vel ex. Vim agam maluisset incorrupte ex, ea ius fuisset sadipscing. Ei sapientem argumentum vix, mel copiosae scriptorem ex. Sit periculis conceptam reprehendunt ut, postea possim at eos. Ex vix mollis euismod laboramus, ad magna dicam apeirian duo.
Eu vel alii augue argumentum. Mea ne debet tritani persius. Mei id ullum evertitur, vim graeci consulatu ea, inermis verterem imperdiet pri at. Vis ei habeo liber, mel lorem noluisse perfecto eu. Sea ea nonumy causae pertinacia, oporteat delicatissimi est eu.
Primis maluisset principes an est, odio dicit virtute ad has. Eros decore quo no, ex regione abhorreant cum. Invenire praesent reformidans pri et, has ei causae iisque tacimates. Vis dolorum antiopam elaboraret at. An usu brute probatus, ut vel agam debet, has utamur oportere indoctum ne.
Pro eu eius oportere dissentias. Tibique signiferumque eum ei, an eum hinc impetus viderer. No has utinam atomorum, nemore maiestatis ea vim, eum id atqui verear omittantur. Discere petentium cu nam, dicant inimicus splendide ea vix, dico equidem intellegebat sit te.
No case adhuc qualisque eam, ei modus munere nec, te aeque dicam cum. Quodsi docendi cum ex, id illum officiis splendide pro, quod vitae qui ne. Ea legimus propriae cum, sea nominavi pertinax salutatus cu. Qui erant aliquid deterruisset ex, has ut tritani honestatis, nam ne utinam impedit delicatissimi. In volumus scaevola officiis pro, eam ut agam corrumpit argumentum. Putent sensibus incorrupte mel id. Commune electram cu eam, exerci sententiae honestatis ex his.
Et posse saepe posidonium pri, qui an utinam noster audire. Vim ad vitae cotidieque. Has impetus aeterno dissentias at. In nec dolores suavitate. Eu per graeci causae, id vel epicuri mentitum.
Te dolores antiopam sea, an veniam blandit persequeris per, vel ea legimus expetendis. Pri cu offendit qualisque deseruisse. Odio probo ea sit, vim graeci oporteat interpretaris eu. Nihil ceteros vis cu, sed at meliore eloquentiam.
Vel et hinc vulputate, ea eos nobis virtute. Eligendi oportere id est, pro at fierent mandamus. No duis efficiantur reprehendunt sed, probatus recusabo at vix. Autem minim similique quo ea, in sale tacimates vel. No dicit nobis fabellas mea, nam tation prompta instructior an, cum brute tantas et. Nobis audire mei ex, in est labitur luptatum.
Mea no commodo consectetuer interpretaris, regione necessitatibus ad vix. Et pri omnis antiopam, nec vitae graece iisque at, inani persius ad has. Nonumes partiendo patrioque ut per, munere lucilius accommodare at sed. At fabulas ponderum disputando nec, ad ius agam duis iuvaret, per no audiam volumus. Ludus regione per at, duo an ferri regione gloriatur, quo case illud platonem id.
Suas disputationi te sea, nam inani facilisis et. Sit in amet adversarium, quo eu enim tamquam vivendum. Modo natum iusto eos cu. Ad mazim offendit philosophia mel. Has eu dolore meliore noluisse.
Lorem ipsum dolor sit amet, an sed mazim delenit philosophia, ne pri sumo maiorum, labores admodum his in. Solet molestie iracundia pri et, virtute definiebas vel ex. Vim agam maluisset incorrupte ex, ea ius fuisset sadipscing. Ei sapientem argumentum vix, mel copiosae scriptorem ex. Sit periculis conceptam reprehendunt ut, postea possim at eos. Ex vix mollis euismod laboramus, ad magna dicam apeirian duo.
Eu vel alii augue argumentum. Mea ne debet tritani persius. Mei id ullum evertitur, vim graeci consulatu ea, inermis verterem imperdiet pri at. Vis ei habeo liber, mel lorem noluisse perfecto eu. Sea ea nonumy causae pertinacia, oporteat delicatissimi est eu.
Primis maluisset principes an est, odio dicit virtute ad has. Eros decore quo no, ex regione abhorreant cum. Invenire praesent reformidans pri et, has ei causae iisque tacimates. Vis dolorum antiopam elaboraret at. An usu brute probatus, ut vel agam debet, has utamur oportere indoctum ne.
Pro eu eius oportere dissentias. Tibique signiferumque eum ei, an eum hinc impetus viderer. No has utinam atomorum, nemore maiestatis ea vim, eum id atqui verear omittantur. Discere petentium cu nam, dicant inimicus splendide ea vix, dico equidem intellegebat sit te.
No case adhuc qualisque eam, ei modus munere nec, te aeque dicam cum. Quodsi docendi cum ex, id illum officiis splendide pro, quod vitae qui ne. Ea legimus propriae cum, sea nominavi pertinax salutatus cu. Qui erant aliquid deterruisset ex, has ut tritani honestatis, nam ne utinam impedit delicatissimi. In volumus scaevola officiis pro, eam ut agam corrumpit argumentum. Putent sensibus incorrupte mel id. Commune electram cu eam, exerci sententiae honestatis ex his.
Et posse saepe posidonium pri, qui an utinam noster audire. Vim ad vitae cotidieque. Has impetus aeterno dissentias at. In nec dolores suavitate. Eu per graeci causae, id vel epicuri mentitum.
Te dolores antiopam sea, an veniam blandit persequeris per, vel ea legimus expetendis. Pri cu offendit qualisque deseruisse. Odio probo ea sit, vim graeci oporteat interpretaris eu. Nihil ceteros vis cu, sed at meliore eloquentiam.
Vel et hinc vulputate, ea eos nobis virtute. Eligendi oportere id est, pro at fierent mandamus. No duis efficiantur reprehendunt sed, probatus recusabo at vix. Autem minim similique quo ea, in sale tacimates vel. No dicit nobis fabellas mea, nam tation prompta instructior an, cum brute tantas et. Nobis audire mei ex, in est labitur luptatum.
Mea no commodo consectetuer interpretaris, regione necessitatibus ad vix. Et pri omnis antiopam, nec vitae graece iisque at, inani persius ad has. Nonumes partiendo patrioque ut per, munere lucilius accommodare at sed. At fabulas ponderum disputando nec, ad ius agam duis iuvaret, per no audiam volumus. Ludus regione per at, duo an ferri regione gloriatur, quo case illud platonem id.
Suas disputationi te sea, nam inani facilisis et. Sit in amet adversarium, quo eu enim tamquam vivendum. Modo natum iusto eos cu. Ad mazim offendit philosophia mel. Has eu dolore meliore noluisse.
"""

class TranslatorTest {

    @ExperimentalStdlibApi
    @Test
    fun `big string should be chunked to lists`() {
        println("Source size is ${LONG_TEXT.toByteArray(Charsets.UTF_8).size} bytes")
        val result = LONG_TEXT.split("\n").toChunkedList(10 * 1024)
        result.forEachIndexed { index, list ->
          println("$index: ${list.toString().toByteArray(Charsets.UTF_8).size} bytes")
        }
        assertEquals(3, result.size)
    }
}